import "react";
import { isMouseLikePointerType as i } from "../utils/event.js";
function m(r, n, f) {
  if (f && !i(f))
    return 0;
  if (typeof r == "number")
    return r;
  if (typeof r == "function") {
    const t = r();
    return typeof t == "number" ? t : t == null ? void 0 : t[n];
  }
  return r == null ? void 0 : r[n];
}
export {
  m as getDelay
};
